/// <summary>
///  Imagen: una imagen para un elemento gráfico
///    (oculta el acceso a imágenes usando SDL)
///  @author Nacho Cabanes
///  @see Hardware ElemGrafico
/// </summary>

/* --------------------------------------------------         
   Parte de FreddyTwo
 
   Versiones hasta la fecha:
   
   Num.   Fecha       Por / Cambios
   ---------------------------------------------------
   0.01  03-Feb-2012  Nacho Cabanes
                      Clase Imagen funcional
 ---------------------------------------------------- */

using Tao.Sdl; 
using System;
 
public class Imagen
{
    // Atributos
    private IntPtr punteroInterno;
    
    // Operaciones    
    /*public  Imagen()  // Constructor
    {
      punteroInterno = IntPtr.Zero;  // En principio, no hay imagen
    }*/
    
    public  Imagen(string nombreFichero)  // Constructor
    {
      Cargar(nombreFichero);
    }
    
    /// Carga una imagen a partir de un nombre de fichero
    public  void Cargar(string nombreFichero)
    {
      punteroInterno = Hardware.CargarImagen(nombreFichero);
      if (punteroInterno == IntPtr.Zero)
        Hardware.ErrorFatal("Imagen inexistente: "+ nombreFichero);
    }
    
    /// Dibuja una imagen en unas coordenadas (se apoya en Hardware)
    public  void DibujarOculta(int x, int y)
    {
      if (punteroInterno != IntPtr.Zero)
        Hardware.DibujarImagenOculta(punteroInterno, x,y);
    }
    
    /// Devuelve el puntero de SDL (no deberia ser necesario usarla nunca)
    public  IntPtr GetPuntero()
    {
      return punteroInterno;
    }
} /* Fin de la clase Imagen */
