/// <summary>
///  Juego: clase que coordina a las dems
///  @author Nacho Cabanes
///  @see Menu Juego
/// </summary>

/* --------------------------------------------------         
   Parte de FreddyTwo
 
   Versiones hasta la fecha:
   
   Num.   Fecha       Por / Cambios
   ---------------------------------------------------
   0.01  03-Feb-2012  Nacho Cabanes
                      Versin inicial: desglosado a partir de 
                        FreddyOne (Juego.cs)
                      Casi todas las funcionalidades pasan a Partida.cs
 ---------------------------------------------------- */

public class Juego
{
    private Menu menu;
    private Partida partida;
    private Creditos creditos;
    private Ayuda ayuda;

    
    // Inicializacin al comenzar la sesin de juego
    public Juego()
    {
        // Inicializo modo grafico 800x600 puntos, 24 bits de color
        bool pantallaCompleta = false;
        Hardware.Inicializar(800, 600, 24, pantallaCompleta);
        
        // Inicializo componentes del juego
        menu = new Menu();
        partida = new Partida();
        creditos = new Creditos();
        ayuda = new Ayuda();
    }
    
    
    // --- Comienzo de un nueva partida: reiniciar variables ---
    public void Ejecutar()
    {    
        do
        {
            menu.Mostrar();
            switch( menu.GetOpcionEscogida() )
            {
                    case Menu.OPC_CREDITOS: 
                        creditos.Mostrar();
                        break;
                    case Menu.OPC_PARTIDA: 
                        partida.Comenzar();
                        break;
                    case Menu.OPC_AYUDA:
                        ayuda.Mostrar();
                        break;
            }
        }
        while (menu.GetOpcionEscogida() != Menu.OPC_SALIR );
    }
    
        
    // --- Cuerpo del programa -----
    public static void Main() 
    {
        Juego juego = new Juego();
        juego.Ejecutar();
    }
    
} /* fin de la clase Juego */
