﻿/// <summary>
///  Marcador: muestra puntos, vidas, etc
///  @author Nacho Cabanes
///  @see Ayuda Juego
/// </summary>

/* --------------------------------------------------         
   Parte de FreddyTwo
 
   Versiones hasta la fecha:
   
   Num.   Fecha       Por / Cambios
   ---------------------------------------------------
   0.01  03-Feb-2012  Nacho Cabanes
                      Versión inicial: desglosado a partir de 
                        FreddyOne (Juego.cs)
 ---------------------------------------------------- */

using System;

public class Marcador
{
    private int puntuacion;
    private int mejorPunt;
    private int vidas;
    private Fuente tipoDeLetra;


    public Marcador()
    {
        tipoDeLetra = new Fuente("FreeSansBold.ttf", 18);
    }


    public void SetVidas( int valor )
    {
    	vidas = valor;
    }
    

    public int GetVidas()
    {
    	return vidas;
    }
    


    /// Devuelve el valor de la puntuación
    public  int GetPuntuacion()
    {
      return puntuacion;
    }


    /// Cambia el valor de la mejor puntuación
    public  void SetMejorPuntuacion(int valor)
    {
      mejorPunt = valor;
    }

    
    /// Cambia el valor de la puntuación
    public  void SetPuntuacion(int valor)
    {
      puntuacion = valor;
    }


    /// Incrementa el valor de la puntuación
    public  void IncrPuntuacion(int valor)
    {
      puntuacion += valor;
    }
	

    public  void DibujarOculta()
    {

        Hardware.EscribirTextoOculta("Vidas        Puntos",
           0, 0, // Coordenadas
           255, 255, 255, // Colores
          tipoDeLetra);

        Hardware.EscribirTextoOculta(Convert.ToString(vidas),
                 70, 0, // Coordenadas
                 200, 200, 200, // Colores
                tipoDeLetra);

        Hardware.EscribirTextoOculta(Convert.ToString(puntuacion),
                 190, 0, // Coordenadas
                 200, 200, 200, // Colores
                tipoDeLetra);
    }
} /* Fin de la clase Marcador */
